«前の日記(2005-02-28) 最新 次の日記(2005-03-02)» 編集

ポケットを空にして。

1985|10|
2004|01|02|03|04|05|06|07|08|09|10|11|12|
2005|01|02|03|04|05|06|07|08|09|10|11|12|
2006|01|02|03|04|05|06|07|08|09|10|11|12|
2007|01|02|03|04|05|06|07|08|09|10|11|12|
2008|01|02|03|04|05|06|07|08|09|10|11|12|
2009|01|02|03|04|05|06|07|08|09|10|11|12|
2010|01|02|03|04|05|06|07|08|09|10|11|12|
2011|01|02|03|04|05|06|07|08|09|10|11|12|
2012|01|02|03|04|05|06|07|08|09|10|11|12|
2013|01|02|03|04|05|06|07|08|09|10|11|12|
2014|01|02|03|04|05|06|07|08|09|10|11|12|
2100|01|

「人の心に残るというのが大事」と言う話。

何か連絡がある場合はメールでどうぞ(過去の日記へのツッコミは基本的にみていません)
プレゼントは随時受け付けております :-) ここ最近のツッコミ/トラックバックリスト。

  1. kunipii (03-25)
  2. おどりこ (03-22)
  3. ぶらぼたそ (03-22)


2005-03-01 [長年日記]

autoconf 入れよう

henrich@vmware:~/redhat-artwork-0.120$ ./autogen.sh -prefix=/usr QTINC=/usr/include/qt3
 
You must have autoconf installed to compile redhat-artwork.
Download the appropriate package for your distribution,
or get the source tarball at ftp://ftp.gnu.org/pub/gnu/
 
You must have automake installed to compile redhat-artwork.
Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz
(or a newer version if it is available)

まず、autoconf を入れることにした。

automake 入れよう

henrich@vmware:~/redhat-artwork-0.120$ ./autogen.sh -prefix=/usr QTINC=/usr/include/qt3
 
You must have automake installed to compile redhat-artwork.
Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz
(or a newer version if it is available)

次は automake

libglib2.0-dev 入れよう

henrich@vmware:~/redhat-artwork-0.120$ ./autogen.sh -prefix=/usr QTINC=/usr/include/qt3
 
**Error**: You must have `glib-gettextize' installed to compile .
Get ftp://ftp.gtk.org/pub/gtk/v2.0/glib-2.0.0.tar.gz
(or a newer version if it is available)

ふむ、ということで auto-apt を入れて探すことにしました。

henrich@vmware:~/redhat-artwork-0.120$ auto-apt search glib-gettextize
usr/bin/glib-gettextize libdevel/libglib2.0-dev

なので ibglib2.0-dev インストール。

libtool 入れよう

./autogen.sh: line 82: libtoolize: command not found
...(色々 not define なえらーとか)
 
henrich@vmware:~/redhat-artwork-0.120$ auto-apt search libtoolize
usr/bin/libtoolize      devel/libtool,devel/libtool1.4

なので libtool インストール。

intltool 入れよう

./autogen.sh: line 84: intltoolize: command not found

ふむ?次はこれね

henrich@vmware:~/redhat-artwork-0.120$ auto-apt search intltoolize
usr/bin/intltoolize     devel/intltool
 
henrich@vmware:~/redhat-artwork-0.120$ sudo apt-get install intltool
パッケージリストを読みこんでいます... 完了
依存関係ツリーを作成しています... 完了
以下の特別パッケージがインストールされます:
  gettext libexpat1 libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl
  liburi-perl libwww-perl libxml-parser-perl
提案パッケージ:
  gettext-doc libio-socket-ssl-perl
推奨パッケージ:
  curl libmailtools-perl libhtml-format-perl libcompress-zlib-perl
以下のパッケージが新たにインストールされます:
  gettext intltool libexpat1 libhtml-parser-perl libhtml-tagset-perl
  libhtml-tree-perl liburi-perl libwww-perl libxml-parser-perl
アップグレード: 0 個、新規インストール: 9 個、削除: 0 個、保留: 2 個。

libgdk-pixbuf-dev 入れよう

..
aclocal: configure.in: 47: macro `AM_PATH_GTK' not found in library
aclocal: configure.in: 52: macro `AM_PATH_GDK_PIXBUF' not found in library
..

まずは、この辺を何とかしよう。

henrich@vmware:~/redhat-artwork-0.120$ auto-apt search GDK_PIXBUF (ダメ)
henrich@vmware:~/redhat-artwork-0.120$ auto-apt search GDK-PIXBUF (ダメ)
henrich@vmware:~/redhat-artwork-0.120$ auto-apt search gdk-pixbuf
usr/lib/gdk_pixbuf_xlibConf.sh  libs/libgdk-pixbuf2
usr/lib/libgdk_pixbuf.a libdevel/libgdk-pixbuf-dev
usr/lib/libgdk_pixbuf_xlib.a    libdevel/libgdk-pixbuf-dev
usr/lib/gdk_pixbufConf.sh       libdevel/libgdk-pixbuf-dev
usr/lib/libgnomecanvaspixbuf.so libdevel/libgdk-pixbuf-gnome-dev
usr/lib/gdk-pixbuf/     libs/libgdk-pixbuf2
usr/lib/pkgconfig/gdk-pixbuf-xlib-2.0.pc        libdevel/libgtk2.0-dev
usr/lib/pkgconfig/gdk-pixbuf-2.0.pc     libdevel/libgtk2.0-dev
usr/lib/libgnomecanvaspixbuf.la libdevel/libgdk-pixbuf-gnome-dev
usr/lib/libgnomecanvaspixbuf.a  libdevel/libgdk-pixbuf-gnome-dev
usr/lib/gnomecanvaspixbufConf.sh        libdevel/libgdk-pixbuf-gnome-dev
usr/lib/libgdk_pixbuf_xlib.so.2.0.0     libs/libgdk-pixbuf2
usr/lib/libgdk_pixbuf.so.2.0.0  libs/libgdk-pixbuf2
...(以下大量の出力)

ふむ、んじゃこの辺かな?

henrich@vmware:~/redhat-artwork-0.120$ sudo apt-get install libgdk-pixbuf-dev
パッケージリストを読みこんでいます... 完了
依存関係ツリーを作成しています... 完了
以下の特別パッケージがインストールされます:
  libgdk-pixbuf2 libglib1.2 libglib1.2-dev libgtk1.2 libgtk1.2-common libgtk1.2-dev libjpeg62 libpng10-0 libtiff4
  libx11-6 libx11-dev libxext-dev libxext6 libxi-dev libxi6 libxv-dev libxv1 x-dev xlibs-data xlibs-static-dev
  zlib1g-dev
提案パッケージ:
  libglib1.2-doc libgtk1.2-doc xspecs
以下のパッケージが新たにインストールされます:
  libgdk-pixbuf-dev libgdk-pixbuf2 libglib1.2 libglib1.2-dev libgtk1.2 libgtk1.2-common libgtk1.2-dev libjpeg62
  libpng10-0 libtiff4 libx11-6 libx11-dev libxext-dev libxext6 libxi-dev libxi6 libxv-dev libxv1 x-dev xlibs-data
  xlibs-static-dev zlib1g-dev
アップグレード: 0 個、新規インストール: 22 個、削除: 0 個、保留: 2 個。

libgtk2.0-dev 入れよう

...
checking for gtk+-2.0 >= 2.0.0... Package gtk+-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gtk+-2.0' found

ふむ。これは探しやすそう

henrich@vmware:~/redhat-artwork-0.120$ auto-apt search gtk+-2.0.pc
usr/lib/pkgconfig/gtk+-2.0.pc   libdevel/libgtk2.0-dev
 
henrich@vmware:~/redhat-artwork-0.120$ sudo apt-get install libgtk2.0-dev
パッケージリストを読みこんでいます... 完了
依存関係ツリーを作成しています... 完了
以下の特別パッケージがインストールされます:
  defoma fontconfig libatk1.0-0 libatk1.0-dev libexpat1-dev libfontconfig1 libfontconfig1-dev libfreetype6
  libfreetype6-dev libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libpango1.0-0 libpango1.0-common libpango1.0-dev
  libpng12-0 libxcursor1 libxft-dev libxft2 libxrandr2 libxrender-dev libxrender1 render-dev ttf-bitstream-vera
  ucf
提案パッケージ:
  defoma-doc psfontmgr x-ttcidfont-conf dfontmgr libgtk2.0-doc ttf-kochi-gothic ttf-kochi-mincho ttf-thryomanes
  ttf-baekmuk ttf-arphic-gbsn00lp ttf-arphic-bsmi00lp ttf-arphic-gkai00mp ttf-arphic-bkai00mp libpango1.0-doc
推奨パッケージ:
  libft-perl libatk1.0-data hicolor-icon-theme
以下のパッケージが新たにインストールされます:
  defoma fontconfig libatk1.0-0 libatk1.0-dev libexpat1-dev libfontconfig1 libfontconfig1-dev libfreetype6
  libfreetype6-dev libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libgtk2.0-dev libpango1.0-0 libpango1.0-common
  libpango1.0-dev libpng12-0 libxcursor1 libxft-dev libxft2 libxrandr2 libxrender-dev libxrender1 render-dev
  ttf-bitstream-vera ucf
アップグレード: 0 個、新規インストール: 26 個、削除: 0 個、保留: 2 個。

なんかものすごい数が入った…

libjpeg62-dev 入れよう

..
configure: WARNING: libjpeg not found. disable JPEG support.
checking for Qt... configure: error: Qt (>= Qt 3.0.3) (headers and libraries) not found. Please check your installation!
For more details about this problem, look at the end of config.log.

検索したら libjpeg62-dev がそれっぽいので、入れてみることにした。

..
checking for libjpeg... -ljpeg

おし、消えた。

libqt3-headers → libqt3c102-mt → libqt3-mt-dev と入れる

checking for Qt... configure: error: Qt (>= Qt 3.0.3) (headers and libraries) not found. Please check your installation!

ふむ、生成されているらしき config.log を見ればいいのよね

configure:27463: checking for Qt
configure: 27528: /usr/include/qt3/qstyle.h
configure: 27528: /usr/lib/qt-3.1/include/qstyle.h
configure: 27528: /usr/lib/qt-3.1/qstyle.h
configure: 27528: /usr/lib/qt3/include/qstyle.h
configure: 27528: /usr/lib/qt3/qstyle.h
configure: 27528: /usr/lib/qt/include/qstyle.h
configure: 27528: /usr/lib/qt/qstyle.h
configure: 27528: /usr/local/qt/include/qstyle.h
configure: 27528: /usr/include/qt/qstyle.h
configure: 27528: /usr/include/qstyle.h
configure: 27528: /usr/X11R6/include/X11/qt/qstyle.h
configure: 27528: /usr/X11R6/include/qt/qstyle.h
configure: 27528: /usr/X11R6/include/qt2/qstyle.h
configure: 27528: /usr/X11R6/include/qstyle.h

で、auto-apt で探して libqt3-headers を入れる。

henrich@vmware:~/redhat-artwork-0.120$ sudo apt-get install libqt3-headers
パッケージリストを読みこんでいます... 完了
依存関係ツリーを作成しています... 完了
推奨パッケージ
  libqt3-mt-dev
以下のパッケージが新たにインストールされます:
  libqt3-headers
アップグレード: 0 個、新規インストール: 1 個、削除: 0 個、保留: 2 個。

で、再度 autogen.sh。

checking for Qt... configure: error: Qt (>= Qt 3.0.3) (library qt-mt) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
Make sure that you have compiled Qt with thread support!

…アレ? thread サポートが必要だそうだ。

henrich@vmware:~/redhat-artwork-0.120$ apt-cache search qt thread
libace-qtreactor-dev - GUI Integrated Reactors for ACE: Qt Reactor (development files)
libace-qtreactor5.4 - GUI Integrated Reactors for ACE: Qt Reactor
libguile-dev - Development headers and static library for libguile
libguile9 - libraries for Guile1.4 (guile, guilereadline, and qthreads)
libqt3-dev - Qt development files
libqt3-mt-dev - Qt development files (Threaded)
libqt3c102 - Qt GUI Library, Version 3
libqt3c102-ibase - InterBase/FireBird database driver for Qt3
libqt3c102-mt - Qt GUI Library (Threaded runtime version), Version 3
libqt3c102-mt-ibase - InterBase/FireBird database driver for Qt3 (Threaded)
libqt3c102-mt-mysql - MySQL database driver for Qt3 (Threaded)
libqt3c102-mt-odbc - ODBC database driver for Qt3 (Threaded)
libqt3c102-mt-psql - PostgreSQL database driver for Qt3 (Threaded)
libqt3c102-mt-sqlite - SQLite database driver for Qt3 (Threaded)
libqt3c102-mysql - MySQL database driver for Qt3
libqt3c102-odbc - ODBC database driver for Qt3
libqt3c102-psql - PostgreSQL database driver for Qt3
libqt3c102-sqlite - SQLite database driver for Qt3
libqte-mt3 - Qt/Embedded GUI Library (runtime threaded version)
libqte-mt3-dev - Qt/Embedded GUI (Threaded Version) development files
libqthreads-12 - QuickThreads library for Guile
libtao-qtreactor-dev - GUI Integrated Reactors for TAO: Qt Reactor (development files)
libtao-qtreactor1.4 - GUI Integrated Reactors for TAO: Qt Reactor
muse - Qt-based midi/audio sequencer
qte3-mt-mysql - Mysql database plugin for Qt3 (Threaded)
qte3-mt-odbc - ODBC plugin for Qt3 (Threaded)
qte3-mt-psql - PG SQL plugin for Qt3 (Threaded)

ふむ? libqt3-mt-dev は入ってるんだよな。ということは libqt3c102-mt かな(実はこれは大きな勘違いだった)

henrich@vmware:~/redhat-artwork-0.120$ sudo apt-get install libqt3c102-mt
パッケージリストを読みこんでいます... 完了
依存関係ツリーを作成しています... 完了
以下の特別パッケージがインストールされます:
  libaudio2 libice6 liblcms1 libmng1 libsm6 libxt6
提案パッケージ:
  nas liblcms-utils libqt3c102-mt-psql libqt3c102-mt-mysql libqt3c102-mt-odbc
以下のパッケージが新たにインストールされます:
  libaudio2 libice6 liblcms1 libmng1 libqt3c102-mt libsm6 libxt6
アップグレード: 0 個、新規インストール: 7 個、削除: 0 個、保留: 2 個。
..
checking for Qt... configure: error: Qt (>= Qt 3.0.3) (library qt-mt) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
Make sure that you have compiled Qt with thread support!

あれれ。

/usr/include/qt3/qglobal.h:756:21: qconfig.h: No such file or directory
/usr/include/qt3/qglobal.h:766:22: qmodules.h: No such file or directory

んーヘッダはあるな。qt-mt といってるのでそれを探すか。

henrich@vmware:~/redhat-artwork-0.120$ apt-cache search qt-mt
libqt3-dev - Qt development files
libqt3-headers - Qt3 header files
libqt3-mt-dev - Qt development files (Threaded)
libqt3c102-mt - Qt GUI Library (Threaded runtime version), Version 3

あ、さっき libqt3-mt-dev 入れたと思ったが入ってなかったのか。

henrich@vmware:~/redhat-artwork-0.120$ sudo apt-get install   libqt3-mt-dev
パッケージリストを読みこんでいます... 完了
依存関係ツリーを作成しています... 完了
以下の特別パッケージがインストールされます:
  libaudio-dev libice-dev liblcms1-dev libmng-dev libpng12-dev libsm-dev libxcursor-dev libxmu-dev libxmu6
  libxrandr-dev libxt-dev qt3-dev-tools xlibmesa-gl xlibmesa-gl-dev xlibmesa-glu xlibmesa-glu-dev
提案パッケージ:
  libqt3-i18n qt3-doc xlibmesa-dri
推奨パッケージ:
  libqt3-compat-headers
以下のパッケージが新たにインストールされます:
  libaudio-dev libice-dev liblcms1-dev libmng-dev libpng12-dev libqt3-mt-dev libsm-dev libxcursor-dev libxmu-dev
  libxmu6 libxrandr-dev libxt-dev qt3-dev-tools xlibmesa-gl xlibmesa-gl-dev xlibmesa-glu xlibmesa-glu-dev
アップグレード: 0 個、新規インストール: 17 個、削除: 0 個、保留: 2 個。

kdelibs4-dev 入れよう

checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE headers installed. This will fail.
So, check this please and use another prefix!

で、また config.log、っと。

configure:28278: checking for KDE
configure: 28323: /usr/include/ksharedptr.h
configure: 28323: /usr/lib/kde/include/ksharedptr.h
configure: 28323: /usr/local/kde/include/ksharedptr.h
configure: 28323: /usr/local/include/ksharedptr.h
configure: 28323: /usr/kde/include/ksharedptr.h
configure: 28323: /usr/include/kde/ksharedptr.h
configure: 28323: /usr/include/ksharedptr.h
configure: 28323: /opt/kde3/include/ksharedptr.h
configure: 28323: /opt/kde/include/ksharedptr.h
configure: 28323: /usr/X11R6/include/ksharedptr.h
configure: 28323: /usr/include/qt3/ksharedptr.h
configure:28337: error:
henrich@vmware:~/redhat-artwork-0.120$ auto-apt search ksharedptr.h
usr/include/kde/ksharedptr.h    libdevel/kdelibs4-dev
henrich@vmware:~/redhat-artwork-0.120$ sudo apt-get install kdelibs4-dev
パッケージリストを読みこんでいます... 完了
依存関係ツリーを作成しています... 完了
以下の特別パッケージがインストールされます:
  esound-common hicolor-icon-theme kdelibs-bin kdelibs-data kdelibs4 libart-2.0-2 libart-2.0-dev libarts1
  libarts1-dev libartsc0 libartsc0-dev libasound2 libasound2-dev libaspell15 libaudiofile-dev libaudiofile0
  libcupsys2-dev libcupsys2-gnutls10 libdps1 libesd0 libesd0-dev libfam-dev libfam0c102 libgcrypt11-dev
  libgnutls11-dev libgpg-error-dev libidn11-dev libjack0.80.0-0 libjack0.80.0-dev libjasper-1.701-1 libmad0
  libmad0-dev libnetpbm10 libogg-dev libogg0 libopencdk8-dev libopenexr2 libpcre3-dev libssl-dev libtasn1-2-dev
  libvorbis-dev libvorbis0a libvorbisenc2 libvorbisfile3 libxaw7 libxft1 libxml2 libxml2-utils libxmuu1 libxp6
  libxpm4 libxslt1.1 libxtrap6 libxtst6 menu-xdg netpbm xbase-clients xlibs
提案パッケージ:
  libasound2-doc aspell-bin esound libgnutls-doc gnutls-bin libjasper-runtime
推奨パッケージ:
  perl-suid akode aspell-en aspell6-dictionary esound-clients fam jackd xml-core menu gs gs-aladdin
以下のパッケージが新たにインストールされます:
  esound-common hicolor-icon-theme kdelibs-bin kdelibs-data kdelibs4 kdelibs4-dev libart-2.0-2 libart-2.0-dev
  libarts1 libarts1-dev libartsc0 libartsc0-dev libasound2 libasound2-dev libaspell15 libaudiofile-dev
  libaudiofile0 libcupsys2-dev libcupsys2-gnutls10 libdps1 libesd0 libesd0-dev libfam-dev libfam0c102
  libgcrypt11-dev libgnutls11-dev libgpg-error-dev libidn11-dev libjack0.80.0-0 libjack0.80.0-dev
  libjasper-1.701-1 libmad0 libmad0-dev libnetpbm10 libogg-dev libogg0 libopencdk8-dev libopenexr2 libpcre3-dev
  libssl-dev libtasn1-2-dev libvorbis-dev libvorbis0a libvorbisenc2 libvorbisfile3 libxaw7 libxft1 libxml2
  libxml2-utils libxmuu1 libxp6 libxpm4 libxslt1.1 libxtrap6 libxtst6 menu-xdg netpbm xbase-clients xlibs
アップグレード: 0 個、新規インストール: 59 個、削除: 0 個、保留: 2 個。

これで通った。さて make。

怪しげな出力

rm -rf Bluecurve &&                                     \
BDIR=`pwd` && cd . &&                           \
$BDIR/../../../art/cursor/cursorthemegen/cursorthemegen Bluecurve.cursortheme $BDIR/Bluecurve &&        \
cd $BDIR && touch Bluecurve.stamp
Frame 1 missing for cursor 'watch' at size 36
Frame 2 missing for cursor 'watch' at size 36
Frame 3 missing for cursor 'watch' at size 36
Frame 4 missing for cursor 'watch' at size 36
Frame 5 missing for cursor 'watch' at size 36
Frame 6 missing for cursor 'watch' at size 36
Frame 7 missing for cursor 'watch' at size 36
Frame 8 missing for cursor 'watch' at size 36
Frame 9 missing for cursor 'watch' at size 36
Frame 10 missing for cursor 'watch' at size 36
Frame 11 missing for cursor 'watch' at size 36
Frame 12 missing for cursor 'watch' at size 36
Frame 13 missing for cursor 'watch' at size 36
Frame 14 missing for cursor 'watch' at size 36
Frame 15 missing for cursor 'watch' at size 36
Frame 16 missing for cursor 'watch' at size 36
Frame 17 missing for cursor 'watch' at size 36
Frame 18 missing for cursor 'watch' at size 36
Frame 19 missing for cursor 'watch' at size 36
Frame 20 missing for cursor 'watch' at size 36
Frame 21 missing for cursor 'watch' at size 36
Frame 22 missing for cursor 'watch' at size 36
Frame 23 missing for cursor 'watch' at size 36
Frame 24 missing for cursor 'watch' at size 36
Frame 25 missing for cursor 'watch' at size 36
Frame 26 missing for cursor 'watch' at size 36
Frame 27 missing for cursor 'watch' at size 36
Frame 28 missing for cursor 'watch' at size 36
Frame 29 missing for cursor 'watch' at size 36
Frame 30 missing for cursor 'watch' at size 36
Frame 31 missing for cursor 'watch' at size 36
Frame 32 missing for cursor 'watch' at size 36
Frame 33 missing for cursor 'watch' at size 36
Frame 34 missing for cursor 'watch' at size 36
Frame 35 missing for cursor 'watch' at size 36
Frame 36 missing for cursor 'watch' at size 36
Frame 37 missing for cursor 'watch' at size 36
Frame 1 missing for cursor 'watch' at size 48
Frame 2 missing for cursor 'watch' at size 48
Frame 3 missing for cursor 'watch' at size 48
Frame 4 missing for cursor 'watch' at size 48
Frame 5 missing for cursor 'watch' at size 48
Frame 6 missing for cursor 'watch' at size 48
Frame 7 missing for cursor 'watch' at size 48
Frame 8 missing for cursor 'watch' at size 48
Frame 9 missing for cursor 'watch' at size 48
Frame 10 missing for cursor 'watch' at size 48
Frame 11 missing for cursor 'watch' at size 48
Frame 12 missing for cursor 'watch' at size 48
Frame 13 missing for cursor 'watch' at size 48
Frame 14 missing for cursor 'watch' at size 48
Frame 15 missing for cursor 'watch' at size 48
Frame 16 missing for cursor 'watch' at size 48
Frame 17 missing for cursor 'watch' at size 48
Frame 18 missing for cursor 'watch' at size 48
Frame 19 missing for cursor 'watch' at size 48
Frame 20 missing for cursor 'watch' at size 48
Frame 21 missing for cursor 'watch' at size 48
Frame 22 missing for cursor 'watch' at size 48
Frame 23 missing for cursor 'watch' at size 48
Frame 24 missing for cursor 'watch' at size 48
Frame 25 missing for cursor 'watch' at size 48
Frame 26 missing for cursor 'watch' at size 48
Frame 27 missing for cursor 'watch' at size 48
Frame 28 missing for cursor 'watch' at size 48
Frame 29 missing for cursor 'watch' at size 48
Frame 30 missing for cursor 'watch' at size 48
Frame 31 missing for cursor 'watch' at size 48
Frame 32 missing for cursor 'watch' at size 48
Frame 33 missing for cursor 'watch' at size 48
Frame 34 missing for cursor 'watch' at size 48
Frame 35 missing for cursor 'watch' at size 48
Frame 36 missing for cursor 'watch' at size 48
Frame 37 missing for cursor 'watch' at size 48
make[4]: Leaving directory `/home/henrich/redhat-artwork-0.120/art/cursor/Bluecurve'
Making all in Bluecurve-inverse
make[4]: Entering directory `/home/henrich/redhat-artwork-0.120/art/cursor/Bluecurve-inverse'
rm -rf Bluecurve-inverse &&                                                     \
BDIR=`pwd` && cd . &&                                                   \
$BDIR/../../../art/cursor/cursorthemegen/cursorthemegen Bluecurve-inverse.cursortheme $BDIR/Bluecurve-inverse &&        \
cd $BDIR && touch Bluecurve-inverse.stamp
Frame 1 missing for cursor 'watch' at size 36
Frame 2 missing for cursor 'watch' at size 36
Frame 3 missing for cursor 'watch' at size 36
Frame 4 missing for cursor 'watch' at size 36
Frame 5 missing for cursor 'watch' at size 36
Frame 6 missing for cursor 'watch' at size 36
Frame 7 missing for cursor 'watch' at size 36
Frame 8 missing for cursor 'watch' at size 36
Frame 9 missing for cursor 'watch' at size 36
Frame 10 missing for cursor 'watch' at size 36
Frame 11 missing for cursor 'watch' at size 36
Frame 12 missing for cursor 'watch' at size 36
Frame 13 missing for cursor 'watch' at size 36
Frame 14 missing for cursor 'watch' at size 36
Frame 15 missing for cursor 'watch' at size 36
Frame 16 missing for cursor 'watch' at size 36
Frame 17 missing for cursor 'watch' at size 36
Frame 18 missing for cursor 'watch' at size 36
Frame 19 missing for cursor 'watch' at size 36
Frame 20 missing for cursor 'watch' at size 36
Frame 21 missing for cursor 'watch' at size 36
Frame 22 missing for cursor 'watch' at size 36
Frame 23 missing for cursor 'watch' at size 36
Frame 24 missing for cursor 'watch' at size 36
Frame 25 missing for cursor 'watch' at size 36
Frame 26 missing for cursor 'watch' at size 36
Frame 27 missing for cursor 'watch' at size 36
Frame 28 missing for cursor 'watch' at size 36
Frame 29 missing for cursor 'watch' at size 36
Frame 30 missing for cursor 'watch' at size 36
Frame 31 missing for cursor 'watch' at size 36
Frame 32 missing for cursor 'watch' at size 36
Frame 33 missing for cursor 'watch' at size 36
Frame 34 missing for cursor 'watch' at size 36
Frame 35 missing for cursor 'watch' at size 36
Frame 36 missing for cursor 'watch' at size 36
Frame 37 missing for cursor 'watch' at size 36
Frame 1 missing for cursor 'watch' at size 48
Frame 2 missing for cursor 'watch' at size 48
Frame 3 missing for cursor 'watch' at size 48
Frame 4 missing for cursor 'watch' at size 48
Frame 5 missing for cursor 'watch' at size 48
Frame 6 missing for cursor 'watch' at size 48
Frame 7 missing for cursor 'watch' at size 48
Frame 8 missing for cursor 'watch' at size 48
Frame 9 missing for cursor 'watch' at size 48
Frame 10 missing for cursor 'watch' at size 48
Frame 11 missing for cursor 'watch' at size 48
Frame 12 missing for cursor 'watch' at size 48
Frame 13 missing for cursor 'watch' at size 48
Frame 14 missing for cursor 'watch' at size 48
Frame 15 missing for cursor 'watch' at size 48
Frame 16 missing for cursor 'watch' at size 48
Frame 17 missing for cursor 'watch' at size 48
Frame 18 missing for cursor 'watch' at size 48
Frame 19 missing for cursor 'watch' at size 48
Frame 20 missing for cursor 'watch' at size 48
Frame 21 missing for cursor 'watch' at size 48
Frame 22 missing for cursor 'watch' at size 48
Frame 23 missing for cursor 'watch' at size 48
Frame 24 missing for cursor 'watch' at size 48
Frame 25 missing for cursor 'watch' at size 48
Frame 26 missing for cursor 'watch' at size 48
Frame 27 missing for cursor 'watch' at size 48
Frame 28 missing for cursor 'watch' at size 48
Frame 29 missing for cursor 'watch' at size 48
Frame 30 missing for cursor 'watch' at size 48
Frame 31 missing for cursor 'watch' at size 48
Frame 32 missing for cursor 'watch' at size 48
Frame 33 missing for cursor 'watch' at size 48
Frame 34 missing for cursor 'watch' at size 48
Frame 35 missing for cursor 'watch' at size 48
Frame 36 missing for cursor 'watch' at size 48
Frame 37 missing for cursor 'watch' at size 48

と怪しげなのも出ているのですが何言いたいのか良くわからないのでパス。

icon-slicer とか zip とか

/bin/sh: icon-slicer: command not found
/bin/sh: icon-slicer: command not found
/bin/sh: icon-slicer: command not found
/bin/sh: icon-slicer: command not found
/bin/sh: icon-slicer: command not found
/bin/sh: icon-slicer: command not found
/bin/sh: icon-slicer: command not found
make[5]: *** [Bluecurve.stamp] エラー 127
make[5]: Leaving directory `/home/henrich/redhat-artwork-0.120/art/icon/Bluecurve/sheets'
make[4]: *** [all-recursive] エラー 1
make[4]: Leaving directory `/home/henrich/redhat-artwork-0.120/art/icon/Bluecurve'
make[3]: *** [all-recursive] エラー 1
make[3]: Leaving directory `/home/henrich/redhat-artwork-0.120/art/icon'
make[2]: *** [all-recursive] エラー 1
make[2]: Leaving directory `/home/henrich/redhat-artwork-0.120/art'
make[1]: *** [all-recursive] エラー 1
make[1]: Leaving directory `/home/henrich/redhat-artwork-0.120'
make: *** [all-recursive-am] エラー 2

あ、icon-slicer 入れ忘れてた。
実は事前に作っておいたので sudo dpkg -i ../icon-slicer_0.3-1_i386.deb して入れる。

む、ぼーっと出力を眺めていて気づいたが、zip コマンドを要求しているようだ。
さくっと入れておく。

kdebase-dev 入れよう

で、 make の結果がエラーでまくりなのですが

In file included from bluecurveclient.cpp:15:
bluecurveclient.h:22:25: kdecoration.h: No such file or directory
bluecurveclient.h:23:32: kdecorationfactory.h: No such file or directory
henrich@vmware:~/redhat-artwork-0.120$ auto-apt search kdecoration.h
usr/include/kde/kdecoration.h   devel/kdebase-dev

ということで kdebase-dev も入れた。これで漸くmakeも通った。

必要だったパッケージ一覧

  • autoconf
  • automake
  • libglib2.0-dev
  • libtool
  • intltool
  • libgdk-pixbuf-dev
  • libgtk2.0-dev
  • libjpeg62-dev
  • libqt3-headers
  • libqt3c102-mt
  • libqt3-mt-dev
  • kdelibs4-dev
  • icon-slicer
  • zip
  • kdebase-dev

apt-get install uim-anthyしてないだけなのでは?

NEWS.Debian, changelog.Debian.gz, README.Debianくらいちゃんと目を通してください、おながいしますヽ(`Д´)ノ

ん、ふつー apt-listchanges で見たりはしないんだろうか。<動かないという人